<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ios_version', function (Blueprint $table) {
            $table->id();
            $table->string("version")->nullable()->comment("版本号");
            $table->tinyInteger("force_update")->default(0)->comment("是否强制更新 0:否 1:是");
            $table->tinyInteger("clean_cache")->default(0)->comment("是否需要清理缓存 0:否 1:是");
            $table->tinyInteger("platform")->default(0)->comment("平台 0:苹果商店 1:蒲公英");
            $table->string("url")->nullable()->comment("地址");
            $table->string("desc")->nullable()->comment("备注");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ios_version');
    }
};
